> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Vendor Reconciliation API

> This API allows users to fetch vendor reconciliation details using different filters. Use the appropriate filters based on your requirements.
- **View Split Order Details Using Settlement ID**: Retrieve details of split orders within a settlement by Settlement ID.
- **Vendor Recon for a Time Period**: Fetch reconciliation details for all vendors within a specific time interval.
- **Vendor Recon Using Vendor ID & Time Interval**: Get reconciliation details for a specific vendor within a given time interval.




## OpenAPI

````yaml /openapi/payments/v2023-08-01.yaml post /recon/vendor
openapi: 3.0.0
info:
  version: '2023-08-01'
  title: Cashfree Payment Gateway APIs
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  contact:
    email: developers@cashfree.com
    name: API Support
    url: https://discord.com/invite/QdZkNSxXsB
  description: >-
    Cashfree's Payment Gateway APIs provide developers with a streamlined
    pathway to integrate advanced payment processing capabilities into their
    applications, platforms and websites.
servers:
  - url: https://sandbox.cashfree.com/pg
    description: Sandbox server
  - url: https://api.cashfree.com/pg
    description: Production server
security: []
tags:
  - name: Orders
    description: Collection of APIs to handle orders.
  - name: Payments
    description: Collection of APIs to handle payments.
  - name: Refunds
    description: Collection of APIs to handle refunds.
  - name: Settlements
    description: Collection of APIs to handle settlements.
  - name: Payment Links
    description: Collection of APIs to handle payment links.
  - name: Token Vault
    description: >-
      Collection of APIs to use Cashfree's token Vault. This helps you save
      cards and tokenize them in a PCI complaint manner. We support creation of
      network tokens which can be used across acquiring banks
  - name: softPOS
    description: Collection of APIs to manage softPOS' agent and order
  - name: Offers
    description: Collection of APIs to handle offers
  - name: Eligibility
    description: >-
      Collection of APIs to check eligibile entities - payment methods, offer,
      affordibility
  - name: Settlement Reconciliation
    description: Collection of APIs to handle settlements
  - name: PG Reconciliation
    description: Collection of APIs to handle reconciliation
  - name: Customers
    description: Collection of APIs to handle customers.
  - name: Easy-Split
    description: Collection of APIs to handle Easy-Split.
  - name: Simulation
    description: Collection of APIs to handle simulation.
  - name: Disputes
    description: Collection of APIs to handle disputes.
externalDocs:
  url: https://api.cashfree.com/pg
  description: This url will have the information of all the APIs.
paths:
  /recon/vendor:
    post:
      tags:
        - Reconciliation
      summary: Vendor Reconciliation API
      description: >
        This API allows users to fetch vendor reconciliation details using
        different filters. Use the appropriate filters based on your
        requirements.

        - **View Split Order Details Using Settlement ID**: Retrieve details of
        split orders within a settlement by Settlement ID.

        - **Vendor Recon for a Time Period**: Fetch reconciliation details for
        all vendors within a specific time interval.

        - **Vendor Recon Using Vendor ID & Time Interval**: Get reconciliation
        details for a specific vendor within a given time interval.
      operationId: PGESReconVendor
      parameters:
        - $ref: '#/components/parameters/apiVersionHeader'
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
          description: application/json
      requestBody:
        $ref: '#/components/requestBodies/VendorReconRequest'
      responses:
        '200':
          description: Terminal created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VendorRecon200Response'
              examples:
                PG:
                  $ref: '#/components/examples/VendorReconPGResponseExample'
                Auto Collect:
                  $ref: '#/components/examples/VendorReconACResponseExample'
        '400':
          $ref: '#/components/responses/Response400VendorRecon'
      deprecated: false
      security:
        - XClientID: []
          XClientSecret: []
        - XClientID: []
          XPartnerAPIKey: []
        - XClientID: []
          XClientSignatureHeader: []
        - XPartnerMerchantID: []
          XPartnerAPIKey: []
components:
  parameters:
    apiVersionHeader:
      in: header
      name: x-api-version
      required: true
      description: API version to be used. Format is in YYYY-MM-DD
      schema:
        type: string
        description: API version to be used
        default: '2023-08-01'
      example: '2023-08-01'
  requestBodies:
    VendorReconRequest:
      description: Vendor Recon Request body.
      required: true
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/VendorReconRequest'
  schemas:
    VendorRecon200Response:
      title: VendorRecon200Response
      description: Fetch Vendor Recon details success response.
      type: object
      properties:
        cursor:
          type: string
        data:
          type: array
          items:
            type: object
            properties:
              amount:
                type: number
                format: float64
              settlement_eligibility_time:
                type: string
              merchant_order_id:
                type: string
              tx_time:
                type: string
              settlement_id:
                type: integer
              settled:
                type: boolean
              fee:
                type: string
              tax:
                type: string
              entity_id:
                type: string
              type:
                type: string
              merchant_vendor_id:
                type: string
              added_on_time:
                type: string
              settlement_time:
                type: string
              settlement_utr:
                type: string
              currency:
                type: string
              debit:
                type: string
              credit:
                type: string
              refund_arn:
                type: string
        limit:
          type: integer
    VendorReconRequest:
      title: VendorReconRequest
      description: Vendor Recon Request body.
      type: object
      properties:
        pagination:
          type: object
          description: >-
            The merchant can set pagination limits based on their use case. The
            minimum limit is 10. Pagination will fetch a set of records, and the
            next set of records can be generated using the cursor provided in
            response to the first request for all reconciliation APIs.
          properties:
            limit:
              type: integer
              description: >-
                Set the minimum or maximum limit for the number of filtered
                data. Minimum value: 10, Maximum value: 100.
            cursor:
              type: string
              description: Specifies from where the next set of records should be fetched.
          required:
            - limit
        filters:
          type: object
          description: Specify the filters for the desired use case.
          properties:
            settlement_id:
              type: integer
              format: int32
              description: >-
                Specify the Settlement ID for which you want to fetch the order
                details. Relevant for "View Split Order Details Using Settlement
                ID".
            merchant_vendor_id:
              type: string
              description: >-
                Specify the Vendor ID for which you want to fetch the recon
                details. Relevant for "Vendor Recon Using Vendor ID & Time
                Interval".
            start_date:
              type: string
              description: >-
                Start date for fetching reconciliation details. Relevant for
                "Vendor Recon for a Time Period" and "Vendor Recon Using Vendor
                ID & Time Interval".
            end_date:
              type: string
              description: >-
                End date for fetching reconciliation details. Relevant for
                "Vendor Recon for a Time Period" and "Vendor Recon Using Vendor
                ID & Time Interval".
      required:
        - pagination
        - filters
      example:
        pagination:
          limit: 100
          cursor: null
        filters:
          merchant_vendor_id: test01
          start_date: '2024-09-01T00:00:00Z'
          end_date: '2024-09-26T23:59:59Z'
    BadRequestError:
      title: BadRequestError
      description: Invalid request received from client
      example:
        message: bad URL, please check API documentation
        code: request_failed
        type: invalid_request_error
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        type:
          type: string
          enum:
            - invalid_request_error
  examples:
    VendorReconPGResponseExample:
      value:
        cursor: >-
          eyJzZWFyY2hBZnRlciI6eyJsaXN0IjpbMTI4ODVdLCJlbXB0eSI6ZmFsc2V9LCJyZXBvcnRUeXBlIjoidmVuZG9yX2FkanVzdG1lbnRfcmVjb24ifQ==
        data:
          - amount: 70
            settlement_eligibility_time: '2023-08-18 13:47:09'
            merchant_order_id: order_1527072U9JADzyG7V93d9xG7goO6xo8C6
            tx_time: '2023-08-18 13:32:09'
            settlement_id: 51709
            settled: true
            fee: NA
            tax: NA
            entity_id: '2148545831'
            type: transaction
            merchant_vendor_id: test03
            added_on_time: '2023-08-18 13:32:21'
            settlement_time: '2023-08-22 10:34:11'
            settlement_utr: '1692680651484925'
            currency: INR
            debit: NA
            credit: '70.0'
            refund_arn: order_1527072U9JADzyG7V93d9xG7goO6xo8C6
          - amount: 2500
            settlement_eligibility_time: '2023-08-18 18:25:04'
            merchant_order_id: order_1527072U9qz76SXfmFPbu1Z1BfTa4lNW5
            tx_time: '2023-08-18 18:10:04'
            settlement_id: 51709
            settled: true
            fee: NA
            tax: NA
            entity_id: '2148548184'
            type: transaction
            merchant_vendor_id: test03
            added_on_time: '2023-08-18 18:10:06'
            settlement_time: '2023-08-22 10:34:11'
            settlement_utr: '1692680651484925'
            currency: INR
            debit: NA
            credit: '2500.0'
            refund_arn: order_1527072U9qz76SXfmFPbu1Z1BfTa4lNW5
          - amount: 2500
            settlement_eligibility_time: '2023-08-18 18:33:00'
            merchant_order_id: order_1527072U9rwyUDlUqtkYpRyGtu3A6tfgy
            tx_time: '2023-08-18 18:18:00'
            settlement_id: 51709
            settled: true
            fee: NA
            tax: NA
            entity_id: '2148548225'
            type: transaction
            merchant_vendor_id: test03
            added_on_time: '2023-08-18 18:18:02'
            settlement_time: '2023-08-22 10:34:11'
            settlement_utr: '1692680651484925'
            currency: INR
            debit: NA
            credit: '2500.0'
            refund_arn: order_1527072U9rwyUDlUqtkYpRyGtu3A6tfgy
          - settlement_eligibility_time: NA
            merchant_order_id: NA
            tx_time: '2023-08-18 17:54:55'
            settlement_id: 51678
            fee: '10.0'
            tax: '1.8'
            entity_id: '51678'
            type: vendor_settlement
            merchant_vendor_id: test03
            added_on_time: '2023-08-18 17:54:55'
            currency: INR
            debit: '0.0'
            credit: NA
            refund_arn: NA
          - settlement_eligibility_time: NA
            merchant_order_id: NA
            tx_time: '2023-08-18 17:58:49'
            settlement_id: 51680
            settled: true
            fee: '10.0'
            tax: '1.8'
            entity_id: '51680'
            type: vendor_settlement
            merchant_vendor_id: test03
            added_on_time: '2023-08-18 17:58:49'
            settlement_time: '2023-08-18 17:58:51'
            settlement_utr: '1692361731372244'
            currency: INR
            debit: '0.0'
            credit: NA
            refund_arn: NA
        limit: 15
    VendorReconACResponseExample:
      value:
        cursor: null
        data:
          - amount: 200
            settlement_eligibility_time: '2022-09-07 08:00:00'
            merchant_order_id: order_1527072EOGQLB2sEuL206y2hcXzB0ITu6
            tx_time: '2022-09-06 15:43:20'
            settlement_id: 10253
            settled: true
            fee: NA
            tax: NA
            entity_id: '885568174'
            type: transaction
            merchant_vendor_id: test01
            added_on_time: '2022-09-06 15:43:28'
            settlement_time: '2022-09-06 16:15:03'
            settlement_utr: '1662461103581582'
            currency: INR
            debit: NA
            credit: '200.0'
            refund_arn: order_1527072EOGQLB2sEuL206y2hcXzB0ITu6
          - settlement_eligibility_time: NA
            merchant_order_id: NA
            tx_time: '2022-09-06 16:15:01'
            settlement_id: 10253
            settled: true
            fee: '0.0'
            tax: '0.0'
            entity_id: '10253'
            type: vendor_settlement
            merchant_vendor_id: test01
            added_on_time: '2022-09-06 16:15:01'
            settlement_time: '2022-09-06 16:15:03'
            settlement_utr: '1662461103581582'
            currency: INR
            debit: '400.0'
            credit: NA
            refund_arn: NA
          - amount: 100
            settlement_eligibility_time: NA
            merchant_order_id: order_1527072EOGQLB2sEuL206y2hcXzB0ITu6
            tx_time: '2022-09-06 16:32:49'
            fee: NA
            tax: NA
            entity_id: REF_ee880c02-6438-4f4f-ba0a-b422da63e195
            type: REFUND
            merchant_vendor_id: test01
            added_on_time: '2022-09-06 16:32:49'
            settlement_time: NA
            settlement_utr: NA
            currency: INR
            debit: '100.0'
            credit: NA
            refund_arn: order_1527072EOGQLB2sEuL206y2hcXzB0ITu6
        limit: 3
  responses:
    Response400VendorRecon:
      description: Vendor Recon Failure Response.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestError'
          examples:
            Minimum pagination limit:
              value:
                message: 'pagination.limit : should be at least 10'
                code: pagination.limit_invalid
                type: invalid_request_error
            Maximum pagination limit:
              value:
                message: 'pagination.limit : should be at max 1000'
                code: pagination.limit_invalid
                type: invalid_request_error
            Invalid start or end time format:
              value:
                message: >-
                  time should be ISO8601 string. Example
                  2021-07-02T10:20:12+05:30 for IST, 2021-07-02T10:20:12Z for
                  UTC
                code: order_expiry_time_invalid
                type: invalid_request_error
            Start date greater than end date:
              value:
                message: start date can not be greater than end date
                code: order_expiry_time_invalid
                type: invalid_request_error
            Invalid cursor:
              value:
                message: invalid character '\n' in literal null (expecting 'l')
                code: request_failed
                type: invalid_request_error
  securitySchemes:
    XClientID:
      type: apiKey
      in: header
      name: x-client-id
      description: >-
        Client app ID. You can find your app id in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XClientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Client secret key. You can find your secret key in the [Merchant
        Dashboard](https://merchant.cashfree.com/auth/login/pg/developers/api-keys?env=prod).
    XPartnerAPIKey:
      type: apiKey
      in: header
      name: x-partner-apikey
      description: >-
        If you are partner and you are making an api call on behalf of a
        merchant
    XClientSignatureHeader:
      type: apiKey
      in: header
      name: x-client-signature
      description: >-
        Use this if you do not want to pass the secret key and instead want to
        use signature
    XPartnerMerchantID:
      type: apiKey
      in: header
      name: x-partner-merchantid
      description: >-
        If you are partner use this to specify the merchant id if you don't have
        the merchant client app id

````